Schema pdax-2.0.xsd

schema location: | G:\GRIPHYN\PEGASUS\pdax-2.0.xsd
targetNamespace: | http://pegasus.isi.edu/schema/PDAX

Elements
pdag

element pdag

diagram |
namespace | http://pegasus.isi.edu/schema/PDAX
children | partition child

attributes

Name | Type | Use | Default | Fixed | Annotation
name | xs:string | required |  |  |
index | xs:nonNegativeInteger | required |  |  |
count | xs:nonNegativeInteger | required |  |  |

identity constraints

| Name | Refer | Selector | Field(s)
unique | UniqueJobID |  | partition/job | @id

annotation

documentation

    partition DAG in XML

element pdag/partition

diagram |
namespace | http://pegasus.isi.edu/schema/PDAX
children | job child

attributes

Name | Type | Use | Default | Fixed | Annotation
name | xs:string | required |  |  |
index | xs:nonNegativeInteger | required |  |  |
id | xs:ID | required |  |  |

annotation

documentation

    partition specification in terms of job making up the partition

element pdag/partition/job

diagram |
namespace | http://pegasus.isi.edu/schema/PDAX

attributes

Name | Type | Use | Default | Fixed | Annotation
name | xs:string | required |  |  |
id | xs:ID | required |  |  |

annotation

documentation

    logical name of the job and logical id, as in the dax

element pdag/partition/child

diagram |
namespace | http://pegasus.isi.edu/schema/PDAX
children | parent

attributes

Name | Type | Use | Default | Fixed | Annotation
ref | xs:IDREF | required |  |  |

annotation

documentation

    child node referring to a job in the partition

element pdag/partition/child/parent

diagram |
namespace | http://pegasus.isi.edu/schema/PDAX

attributes

Name | Type | Use | Default | Fixed | Annotation
ref | xs:IDREF | required |  |  |

annotation

documentation

    parent node referring to a job in the partition

element pdag/child

diagram |
namespace | http://pegasus.isi.edu/schema/PDAX
children | parent

attributes

Name | Type | Use | Default | Fixed | Annotation
ref | xs:IDREF | required |  |  |

annotation

documentation

    child node referring to a partition

element pdag/child/parent

diagram |
namespace | http://pegasus.isi.edu/schema/PDAX

attributes

Name | Type | Use | Default | Fixed | Annotation
ref | xs:IDREF | required |  |  |

annotation

documentation

    parent node referring to a partition

XML Schema documentation generated with XMLSPY Schema Editor http://www.altova.com/xmlspy